Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.droolsjbpm.services.impl.model
Class NodeInstanceDesc

    java.lang.Object
      org.droolsjbpm.services.impl.model.NodeInstanceDesc

All Implemented Interfaces:
  Serializable

    public class NodeInstanceDesc

extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`NodeInstanceDesc()`
`NodeInstanceDesc(String id, String nodeId, String name, String nodeType, String domainId, long processInstanceId, Date date, String connection, int type)`

Method Summary
`String` | `getConnection()`
`Date` | `getDataTimeStamp()`
`String` | `getDomainId()`
`long` | `getId()`
`String` | `getName()`
`String` | `getNodeId()`
`String` | `getNodeType()`
`long` | `getProcessInstanceId()`
`boolean` | `isCompleted()`
`void` | `setConnection(String incomingConnection)`
`void` | `setNodeId(String nodeUniqueId)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NodeInstanceDesc

    public NodeInstanceDesc()

### NodeInstanceDesc

    public NodeInstanceDesc(String id,
                            String nodeId,
                            String name,
                            String nodeType,
                            String domainId,
                            long processInstanceId,
                            Date date,
                            String connection,
                            int type)

Method Detail

### getId

    public long getId()

### getName

    public String getName()

### getDomainId

    public String getDomainId()

### getProcessInstanceId

    public long getProcessInstanceId()

### getDataTimeStamp

    public Date getDataTimeStamp()

### getNodeType

    public String getNodeType()

### getNodeId

    public String getNodeId()

### setNodeId

    public void setNodeId(String nodeUniqueId)

### isCompleted

    public boolean isCompleted()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getConnection

    public String getConnection()

### setConnection

    public void setConnection(String incomingConnection)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.